## visuConfig

visuConfig —

## Synopsis

    void        panelConfigSet_refreshPeriod    (RenderingWindow *window,
                                                 float val);
    void        panelConfigSet_tabView          (gboolean viewed);
    gdouble     panelConfigGet_spinBoundsValue  ();
    void        panelConfigSet_automaticRefresh (RenderingWindow *window,
                                                 int bool);
    void        panelConfigSet_spinBoundsValue  (gdouble val);

## Description

## Details

### panelConfigSet_refreshPeriod ()

    void        panelConfigSet_refreshPeriod    (RenderingWindow *window,
                                                 float val);

V_Sim can poll the rendered file at periodic intervals. Use this method to tune the period. See `panelConfigSet_automaticRefresh()` to enable this functionality.

`window` : | the RenderingWindow to associated the auto refresh ;
`val` : | a floating point value in milliseconds.

### panelConfigSet_tabView ()

    void        panelConfigSet_tabView          (gboolean viewed);

The note can show its tabs or not. Change this with that method.

`viewed` : | a boolean value.

### panelConfigGet_spinBoundsValue ()

    gdouble     panelConfigGet_spinBoundsValue  ();

Returns : |

### panelConfigSet_automaticRefresh ()

    void        panelConfigSet_automaticRefresh (RenderingWindow *window,
                                                 int bool);

V_Sim can poll the rendered file at periodic intervals to check if the file has been modified. If true, the file is reloaded. Turn this functionality on or off with this method. See `panelConfigSet_refreshPeriod()` to tune the period of the polling.

`window` : | the RenderingWindow to associated the auto refresh ;
`bool` : | a boolean value.

### panelConfigSet_spinBoundsValue ()

    void        panelConfigSet_spinBoundsValue  (gdouble val);

`val` : |